/*
 * $Id: ExceptionUtils.java,v 1.10 2006/08/28 09:12:35 agoubard Exp $
 *
 * Copyright 2003-2006 Orange Nederland Breedband B.V.
 * See the COPYRIGHT file for redistribution and use restrictions.
 */
package org.xins.common;

/**
 * Utility functions related to exceptions.
 *
 * @version $Revision: 1.10 $ $Date: 2006/08/28 09:12:35 $
 * @author <a href="mailto:ernst.dehaan@orange-ft.com">Ernst de Haan</a>
 *
 * @since XINS 1.0.0
 *
 * @deprecated
 *    Deprecated since XINS 1.2.0.
 *    Use class {@link org.xins.logdoc.ExceptionUtils} instead
 */
public final class ExceptionUtils extends Object {

   //-------------------------------------------------------------------------
   // Class functions
   //-------------------------------------------------------------------------

   /**
    * Determines the root cause for the specified exception.
    *
    * @param exception
    *    the exception to determine the root cause for, cannot be
    *    <code>null</code>.
    *
    * @return
    *    the root cause exception, never <code>null</code>.
    *
    * @throws IllegalArgumentException
    *    if <code>exception == null</code>.
    */
   public static Throwable getRootCause(Throwable exception)
   throws IllegalArgumentException {
      return org.xins.logdoc.ExceptionUtils.getRootCause(exception);
   }


   //-------------------------------------------------------------------------
   // Constructors
   //-------------------------------------------------------------------------

   /**
    * Constructs a new <code>ExceptionUtils</code> object.
    */
   private ExceptionUtils() {
      // empty
   }


   //-------------------------------------------------------------------------
   // Methods
   //-------------------------------------------------------------------------
}
